{% extends 'base.html' %}
{% block body_block %}
<div class="hero-unit">
    <h1>Registre-se no BPonto</h1>
    <br />

    <div class="container">
        {% if registered %}
        <p>Obrigado por se registrar!</p>

        <p><a class="btn btn-primary btn-lg" href="{% url 'logina' %}">Login</a> Quando estiver pronto</p>
        {% else %}

        <form class="form-signin span8" id="user_form" method="post" action=""
              enctype="multipart/form-data">
            {% csrf_token %}
            <h2 class="form-signin-heading"> Preencha os campos</h2>
            <!-- Display each form here -->

            {% for field in user_form.visible_fields %}
            {{ field.errors }}
            {{ field.help_text }}<br />
            {{ field }}<br />
            {% endfor %}



            <br />
            <!-- Provide a button to click to submit the form. -->
            <input class="btn btn-primary" type="submit" name="submit" value="Registrar"/>
        </form>
        {% endif %}
    </div>
</div>
{% endblock %}